[Mongrel] upgrading rails to 1.2.2 giving me mongrel errors

Erik Morton eimorton at gmail.com
Sat Mar 10 18:22:29 EST 2007


For what it's worth I was getting the same error, except the object  
was from RMagick. I moved all the 'include Magick' statements to  
below the class definitions and the errors have, so far, gone away. I  
never dug deep enough into the differences between 1.2.2 and 1.1.6 to  
figure out what was causing the error.
On Mar 10, 2007, at 5:09 PM, Dallas DeVries wrote:

> I'm working on upgrading to rails 1.2.2 from 1.1.6 and getting the  
> mongrel error below in development mode.  Now things seem to work  
> fine with 1.1.6 and 1.2.2 (in prod mode).
> Any ideas what might cause this?  Googling gave me very little to  
> work with.  This was the closest thing i found  http:// 
> dev.rubyonrails.org/ticket/6716
>
> I'm running Ubuntu with mongrel 1.0.1 and fastthread 0.6.4.1.  I  
> also get this on macosx
>
> Thanks!
> Dallas
>
>
> Error calling Dispatcher.dispatch #<NameError: cannot remove  
> Object::USER_AGENT>
> /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/ 
> dependencies.rb:422:in `remove_const'
> /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/ 
> dependencies.rb:422:in `remove_constant'
> /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/ 
> dependencies.rb:273:in `remove_unloadable_constants!'
> /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/ 
> dependencies.rb:273:in `remove_unloadable_constants!'
> /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/ 
> dependencies.rb:72:in `clear'
> /usr/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/dispatcher.rb:60:in  
> `reset_application!'
> /usr/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/dispatcher.rb:116:in  
> `reset_after_dispatch'
> /usr/lib/ruby/gems/1.8/gems/rails- 1.2.2/lib/dispatcher.rb:51:in  
> `dispatch'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb: 
> 78:in `process'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb: 
> 76:in `process'
> /usr/lib/ruby/gems/1.8/gems/mongrel- 1.0.1/lib/mongrel.rb:618:in  
> `process_client'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:617:in  
> `process_client'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel- 1.0.1/lib/mongrel.rb:736:in `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/ 
> configurator.rb:271:in `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel- 1.0.1/lib/mongrel/ 
> configurator.rb:270:in `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:127:in  
> `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/command.rb: 
> 211:in `run'
> /usr/lib/ruby/gems/1.8/gems/mongrel- 1.0.1/bin/mongrel_rails:243
> /usr/bin/mongrel_rails:18
> _______________________________________________
> Mongrel-users mailing list
> Mongrel-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/mongrel-users



More information about the Mongrel-users mailing list